function [success] = myrenaming(NCh1,NCh2,NCh3,NCh4,name,step,f1)
%program developed to change the name of the files captured during the
%Turntable measuring.
%
%[success]=myrenaming(NCh1,NCh2,NCh3,NCh4,name,step)
%
%   NCh1,NCh2... theta related with the channel 1, 2,...
%   name of the sequence of files
%   step of PHI (from 0 to 360-step)

success=0;
%f1=fullfile(pwd,'newfolder');
% if (exist(f1) == 0)
%    mkdir (f1);
%    
% else
%     disp(' ');
%     disp(' ');
%     disp('-----------------------------------------------------------');
%     disp('Process has been interrupted due to the name of the folder.');
%     disp('Please modify the folder called "newfolder" contained in: ');
%     disp(pwd);
%     disp('-----------------------------------------------------------');
%     disp(' ');
%     return;
% end


%MKDIR(newfolder)
for i=0:step:(360-step)
filenamestart = [name,'_'];
filename = [filenamestart,int2str(i)];
filename2 = [filename,'_Ch1','.wmb'];
filename3 = [filename,'_',int2str(NCh1),'_Ch1.wmb'];
commandstr = ['copyfile(','''',filename2,'''',',''',fullfile(f1,filename3),'''',');'];
eval(commandstr)
filename2 = [filename,'_Ch2','.wmb'];
filename3 = [filename,'_',int2str(NCh2),'_Ch2.wmb'];
commandstr = ['copyfile(','''',filename2,'''',',''',fullfile(f1,filename3),'''',');'];
eval(commandstr)
filename2 = [filename,'_Ch3','.wmb'];
filename3 = [filename,'_',int2str(NCh3),'_Ch3.wmb'];
commandstr = ['copyfile(','''',filename2,'''',',''',fullfile(f1,filename3),'''',');'];
eval(commandstr)
filename2 = [filename,'_Ch4','.wmb'];
filename3 = [filename,'_',int2str(NCh4),'_Ch4.wmb'];
commandstr = ['copyfile(','''',filename2,'''',',''',fullfile(f1,filename3),'''',');'];
eval(commandstr)
fclose('all'); % Close all open files

end
success=1;